using Siger.Middlelayer.Repository.Entities;
using Siger.Middlelayer.Repository.Repositories.Interface;

namespace Siger.Middlelayer.Repository.Repositories
{
    internal class SigerAppMuteRepository : ApiConfigRepositoryBase<siger_app_mute>, ISigerAppMuteRepository
    {
        private readonly ApiConfigDbContext _context;
        public SigerAppMuteRepository(ApiConfigDbContext context) : base(context)
        {
            _context = context;
        }

        public int InsertMute(siger_app_mute mute)
        {
            _context.siger_app_mute.Add(mute);
            return _context.SaveChanges();
        }

        public int UpdateMute(siger_app_mute mute)
        {
            _context.siger_app_mute.Update(mute);
            return _context.SaveChanges();
        }
    }
}
